diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-mac.h ns-3.44/src/lr-wpan/model/lr-wpan-mac.h
--- ns-3.43/src/lr-wpan/model/lr-wpan-mac.h	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-mac.h	2025-03-09 16:55:49.419371100 -0700
@@ -18,10 +18,10 @@
 #include "lr-wpan-mac-base.h"
 #include "lr-wpan-phy.h"
 
-#include <ns3/event-id.h>
-#include <ns3/sequence-number.h>
-#include <ns3/traced-callback.h>
-#include <ns3/traced-value.h>
+#include "ns3/event-id.h"
+#include "ns3/sequence-number.h"
+#include "ns3/traced-callback.h"
+#include "ns3/traced-value.h"
 
 #include <deque>
 #include <memory>
@@ -36,14 +36,14 @@
 class LrWpanCsmaCa;
 
 /**
- * \defgroup lr-wpan LR-WPAN models
+ * @defgroup lr-wpan LR-WPAN models
  *
  * This section documents the API of the IEEE 802.15.4-related models.  For a generic functional
  * description, please refer to the ns-3 manual.
  */
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Tx options
  */
@@ -56,7 +56,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * MAC states
  */
@@ -77,14 +77,14 @@
 /**
  *  Overloaded operator to print the value of a MacState.
  *
- *  \param os The output stream
- *  \param state The text value of the PHY state
- *  \return The output stream with text value of the MAC state
+ *  @param os The output stream
+ *  @param state The text value of the PHY state
+ *  @return The output stream with text value of the MAC state
  */
 std::ostream& operator<<(std::ostream& os, const MacState& state);
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Superframe status
  */
@@ -97,7 +97,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Superframe type
  */
@@ -108,7 +108,7 @@
 };
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Indicates a pending MAC primitive
  */
@@ -125,27 +125,27 @@
 {
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  * TracedValue callback signature for MacState.
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*MacState)(MacState oldValue, MacState newValue);
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  * TracedValue callback signature for SuperframeStatus.
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*SuperframeStatus)(SuperframeStatus oldValue, SuperframeStatus newValue);
 
 } // namespace TracedValueCallback
 
 /**
- * \ingroup lr-wpan
+ * @ingroup lr-wpan
  *
  * Class that implements the LR-WPAN MAC state machine
  */
@@ -155,7 +155,7 @@
     /**
      * Get the type ID.
      *
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -168,14 +168,14 @@
     /**
      * Check if the receiver will be enabled when the MAC is idle.
      *
-     * \return true, if the receiver is enabled during idle periods, false otherwise
+     * @return true, if the receiver is enabled during idle periods, false otherwise
      */
     bool GetRxOnWhenIdle() const;
 
     /**
      * Set if the receiver should be enabled when the MAC is idle.
      *
-     * \param rxOnWhenIdle set to true to enable the receiver during idle periods
+     * @param rxOnWhenIdle set to true to enable the receiver during idle periods
      */
     void SetRxOnWhenIdle(bool rxOnWhenIdle);
 
@@ -183,56 +183,56 @@
     /**
      * Set the short address of this MAC.
      *
-     * \param address the new address
+     * @param address the new address
      */
     void SetShortAddress(Mac16Address address);
 
     /**
      * Get the short address of this MAC.
      *
-     * \return the short address
+     * @return the short address
      */
     Mac16Address GetShortAddress() const;
 
     /**
      * Set the extended address of this MAC.
      *
-     * \param address the new address
+     * @param address the new address
      */
     void SetExtendedAddress(Mac64Address address);
 
     /**
      * Get the extended address of this MAC.
      *
-     * \return the extended address
+     * @return the extended address
      */
     Mac64Address GetExtendedAddress() const;
 
     /**
      * Set the PAN id used by this MAC.
      *
-     * \param panId the new PAN id.
+     * @param panId the new PAN id.
      */
     void SetPanId(uint16_t panId);
 
     /**
      * Get the PAN id used by this MAC.
      *
-     * \return the PAN id.
+     * @return the PAN id.
      */
     uint16_t GetPanId() const;
 
     /**
      * Get the coordinator short address currently associated to this device.
      *
-     * \return The coordinator short address
+     * @return The coordinator short address
      */
     Mac16Address GetCoordShortAddress() const;
 
     /**
      * Get the coordinator extended address currently associated to this device.
      *
-     * \return The coordinator extended address
+     * @return The coordinator extended address
      */
     Mac64Address GetCoordExtAddress() const;
 
@@ -259,21 +259,21 @@
     /**
      * Set the CSMA/CA implementation to be used by the MAC.
      *
-     * \param csmaCa the CSMA/CA implementation
+     * @param csmaCa the CSMA/CA implementation
      */
     void SetCsmaCa(Ptr<LrWpanCsmaCa> csmaCa);
 
     /**
      * Set the underlying PHY for the MAC.
      *
-     * \param phy the PHY
+     * @param phy the PHY
      */
     void SetPhy(Ptr<LrWpanPhy> phy);
 
     /**
      * Get the underlying PHY of the MAC.
      *
-     * \return the PHY
+     * @return the PHY
      */
     Ptr<LrWpanPhy> GetPhy();
 
@@ -285,16 +285,16 @@
      * IEEE 802.15.4-2006 section 6.2.1.3
      * PD-DATA.indication
      * Indicates the transfer of an MPDU from PHY to MAC (receiving)
-     * \param psduLength number of bytes in the PSDU
-     * \param p the packet to be transmitted
-     * \param lqi Link quality (LQI) value measured during reception of the PPDU
+     * @param psduLength number of bytes in the PSDU
+     * @param p the packet to be transmitted
+     * @param lqi Link quality (LQI) value measured during reception of the PPDU
      */
     void PdDataIndication(uint32_t psduLength, Ptr<Packet> p, uint8_t lqi);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.1.2
      * Confirm the end of transmission of an MPDU to MAC
-     * \param status to report to MAC
+     * @param status to report to MAC
      *        PHY PD-DATA.confirm status
      */
     void PdDataConfirm(PhyEnumeration status);
@@ -302,15 +302,15 @@
     /**
      * IEEE 802.15.4-2006 section 6.2.2.2
      * PLME-CCA.confirm status
-     * \param status TRX_OFF, BUSY or IDLE
+     * @param status TRX_OFF, BUSY or IDLE
      */
     void PlmeCcaConfirm(PhyEnumeration status);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.4
      * PLME-ED.confirm status and energy level
-     * \param status SUCCESS, TRX_OFF or TX_ON
-     * \param energyLevel 0x00-0xff ED level for the channel
+     * @param status SUCCESS, TRX_OFF or TX_ON
+     * @param energyLevel 0x00-0xff ED level for the channel
      */
     void PlmeEdConfirm(PhyEnumeration status, uint8_t energyLevel);
 
@@ -318,9 +318,9 @@
      * IEEE 802.15.4-2006 section 6.2.2.6
      * PLME-GET.confirm
      * Get attributes per definition from Table 23 in section 6.4.2
-     * \param status SUCCESS or UNSUPPORTED_ATTRIBUTE
-     * \param id the attributed identifier
-     * \param attribute the attribute value
+     * @param status SUCCESS or UNSUPPORTED_ATTRIBUTE
+     * @param id the attributed identifier
+     * @param attribute the attribute value
      */
     void PlmeGetAttributeConfirm(PhyEnumeration status,
                                  PhyPibAttributeIdentifier id,
@@ -330,7 +330,7 @@
      * IEEE 802.15.4-2006 section 6.2.2.8
      * PLME-SET-TRX-STATE.confirm
      * Set PHY state
-     * \param status in RX_ON,TRX_OFF,FORCE_TRX_OFF,TX_ON
+     * @param status in RX_ON,TRX_OFF,FORCE_TRX_OFF,TX_ON
      */
     void PlmeSetTRXStateConfirm(PhyEnumeration status);
 
@@ -338,29 +338,29 @@
      * IEEE 802.15.4-2006 section 6.2.2.10
      * PLME-SET.confirm
      * Set attributes per definition from Table 23 in section 6.4.2
-     * \param status SUCCESS, UNSUPPORTED_ATTRIBUTE, INVALID_PARAMETER, or READ_ONLY
-     * \param id the attributed identifier
+     * @param status SUCCESS, UNSUPPORTED_ATTRIBUTE, INVALID_PARAMETER, or READ_ONLY
+     * @param id the attributed identifier
      */
     void PlmeSetAttributeConfirm(PhyEnumeration status, PhyPibAttributeIdentifier id);
 
     /**
      * CSMA-CA algorithm calls back the MAC after executing channel assessment.
      *
-     * \param macState indicate BUSY or IDLE channel condition
+     * @param macState indicate BUSY or IDLE channel condition
      */
     void SetLrWpanMacState(MacState macState);
 
     /**
      * Set the max size of the transmit queue.
      *
-     * \param queueSize The transmit queue size.
+     * @param queueSize The transmit queue size.
      */
     void SetTxQMaxSize(uint32_t queueSize);
 
     /**
      * Set the max size of the indirect transmit queue (Pending Transaction list)
      *
-     * \param queueSize The indirect transmit queue size.
+     * @param queueSize The indirect transmit queue size.
      */
     void SetIndTxQMaxSize(uint32_t queueSize);
 
@@ -491,7 +491,7 @@
     uint16_t m_macPanId;
 
     /**
-     * Temporally stores the value of the current m_macPanId when a MLME-SCAN.request is performed.
+     * Temporarily stores the value of the current m_macPanId when a MLME-SCAN.request is performed.
      * See IEEE 802.15.4-2011, section 5.1.2.1.2.
      */
     uint16_t m_macPanIdScan;
@@ -624,14 +624,14 @@
     /**
      * Get the macAckWaitDuration attribute value.
      *
-     * \return the maximum number symbols to wait for an acknowledgment frame
+     * @return the maximum number symbols to wait for an acknowledgment frame
      */
     uint64_t GetMacAckWaitDuration() const;
 
     /**
      * Get the macMaxFrameRetries attribute value.
      *
-     * \return the maximum number of retries
+     * @return the maximum number of retries
      */
     uint8_t GetMacMaxFrameRetries() const;
 
@@ -643,61 +643,61 @@
     /**
      * Set the macMaxFrameRetries attribute value.
      *
-     * \param retries the maximum number of retries
+     * @param retries the maximum number of retries
      */
     void SetMacMaxFrameRetries(uint8_t retries);
 
     /**
      * Check if the packet destination is its coordinator
      *
-     * \return True if m_txPkt (packet awaiting to be sent) destination is its coordinator
+     * @return True if m_txPkt (packet awaiting to be sent) destination is its coordinator
      */
     bool IsCoordDest();
 
     /**
      * Check if the packet destination is its coordinator
      *
-     * \param mac The coordinator short MAC Address
+     * @param mac The coordinator short MAC Address
      */
     void SetAssociatedCoor(Mac16Address mac);
 
     /**
      * Check if the packet destination is its coordinator
      *
-     * \param mac The coordinator extended MAC Address
+     * @param mac The coordinator extended MAC Address
      */
     void SetAssociatedCoor(Mac64Address mac);
 
     /**
      * Get the size of the Interframe Space according to MPDU size (m_txPkt).
      *
-     * \return the IFS size in symbols
+     * @return the IFS size in symbols
      */
     uint32_t GetIfsSize();
 
     /**
      * Obtain the number of symbols in the packet which is currently being sent by the MAC layer.
      *
-     * \return packet number of symbols
+     * @return packet number of symbols
      */
     uint64_t GetTxPacketSymbols();
 
     /**
      * Check if the packet to transmit requires acknowledgment
      *
-     * \return True if the Tx packet requires acknowledgment
+     * @return True if the Tx packet requires acknowledgment
      */
     bool IsTxAckReq();
 
     /**
      * Print the Pending transaction list.
-     * \param os The reference to the output stream used by this print function.
+     * @param os The reference to the output stream used by this print function.
      */
     void PrintPendingTxQueue(std::ostream& os) const;
 
     /**
      * Print the Transmit Queue.
-     * \param os The reference to the output stream used by this print function.
+     * @param os The reference to the output stream used by this print function.
      */
     void PrintTxQueue(std::ostream& os) const;
 
@@ -705,26 +705,26 @@
      * Assign a fixed random variable stream number to the random variables
      * used by this model.  Return the number of streams that have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
      * TracedCallback signature for sent packets.
      *
-     * \param [in] packet The packet.
-     * \param [in] retries The number of retries.
-     * \param [in] backoffs The number of CSMA backoffs.
+     * @param [in] packet The packet.
+     * @param [in] retries The number of retries.
+     * @param [in] backoffs The number of CSMA backoffs.
      */
     typedef void (*SentTracedCallback)(Ptr<const Packet> packet, uint8_t retries, uint8_t backoffs);
 
     /**
      * TracedCallback signature for MacState change events.
      *
-     * \param [in] oldValue The original state value.
-     * \param [in] newValue The new state value.
-     * \deprecated The MacState is now accessible as the
+     * @param [in] oldValue The original state value.
+     * @param [in] newValue The new state value.
+     * @deprecated The MacState is now accessible as the
      * TracedValue \c MacStateValue. The \c MacState TracedCallback will
      * be removed in a future release.
      */
@@ -777,7 +777,7 @@
     /**
      * Called to send an associate response command.
      *
-     * \param rxDataReqPkt The received data request pkt that instigated the Association response
+     * @param rxDataReqPkt The received data request pkt that instigated the Association response
      * command.
      */
     void SendAssocResponseCommand(Ptr<Packet> rxDataReqPkt);
@@ -824,7 +824,7 @@
      * Called to begin the Contention Free Period (CFP) in a
      * beacon-enabled mode.
      *
-     * \param superframeType The incoming or outgoing superframe reference
+     * @param superframeType The incoming or outgoing superframe reference
      */
     void StartCFP(SuperframeType superframeType);
 
@@ -832,14 +832,14 @@
      * Called to begin the Contention Access Period (CAP) in a
      * beacon-enabled mode.
      *
-     * \param superframeType The incoming or outgoing superframe reference
+     * @param superframeType The incoming or outgoing superframe reference
      */
     void StartCAP(SuperframeType superframeType);
 
     /**
      * Start the Inactive Period in a beacon-enabled mode.
      *
-     * \param superframeType The incoming or outgoing superframe reference
+     * @param superframeType The incoming or outgoing superframe reference
      *
      */
     void StartInactivePeriod(SuperframeType superframeType);
@@ -858,22 +858,22 @@
     /**
      * Used to process the reception of a beacon packet.
      *
-     * \param lqi The value of the link quality indicator (LQI) of the received packet
-     * \param p The packet containing the MAC header and the beacon payload information
+     * @param lqi The value of the link quality indicator (LQI) of the received packet
+     * @param p The packet containing the MAC header and the beacon payload information
      */
     void ReceiveBeacon(uint8_t lqi, Ptr<Packet> p);
 
     /**
      * Send an acknowledgment packet for the given sequence number.
      *
-     * \param seqno the sequence number for the ACK
+     * @param seqno the sequence number for the ACK
      */
     void SendAck(uint8_t seqno);
 
     /**
      * Add an element to the transmission queue.
      *
-     * \param txQElement The element added to the Tx Queue.
+     * @param txQElement The element added to the Tx Queue.
      */
     void EnqueueTxQElement(Ptr<TxQueueElement> txQElement);
 
@@ -886,7 +886,7 @@
     /**
      * Change the current MAC state to the given new state.
      *
-     * \param newState the new state
+     * @param newState the new state
      */
     void ChangeMacState(MacState newState);
 
@@ -901,7 +901,7 @@
      * the mac layer wait an Interframe Space (IFS) time and triggers this function
      * to continue with the MAC flow.
      *
-     * \param ifsTime IFS time
+     * @param ifsTime IFS time
      */
     void IfsWaitTimeout(Time ifsTime);
 
@@ -909,23 +909,23 @@
      * Check for remaining retransmissions for the packet currently being sent.
      * Drop the packet, if there are no retransmissions left.
      *
-     * \return true, if the packet should be retransmitted, false otherwise.
+     * @return true, if the packet should be retransmitted, false otherwise.
      */
     bool PrepareRetransmission();
 
     /**
      * Adds a packet to the pending transactions list (Indirect transmissions).
      *
-     * \param p The packet added to pending transaction list.
+     * @param p The packet added to pending transaction list.
      */
     void EnqueueInd(Ptr<Packet> p);
 
     /**
      * Extracts a packet from pending transactions list (Indirect transmissions).
-     * \param dst The extended address used an index to obtain an element from the pending
+     * @param dst The extended address used an index to obtain an element from the pending
      * transaction list.
-     * \param entry The dequeued element from the pending transaction list.
-     * \return The status of the dequeue
+     * @param entry The dequeued element from the pending transaction list.
+     * @return The status of the dequeue
      */
     bool DequeueInd(Mac64Address dst, Ptr<IndTxQueueElement> entry);
 
@@ -937,7 +937,7 @@
     /**
      * Remove an element from the pending transaction list.
      *
-     * \param p The packet to be removed from the pending transaction list.
+     * @param p The packet to be removed from the pending transaction list.
      */
     void RemovePendTxQElement(Ptr<Packet> p);
 
@@ -952,7 +952,7 @@
      * Constructs a Superframe specification field from the local information,
      * the superframe Specification field is necessary to create a beacon frame.
      *
-     * \returns the Superframe specification field (bitmap)
+     * @returns the Superframe specification field (bitmap)
      */
     uint16_t GetSuperframeField();
 
@@ -960,7 +960,7 @@
      * Constructs the Guaranteed Time Slots (GTS) Fields from local information.
      * The GTS Fields are part of the beacon frame.
      *
-     * \returns the Guaranteed Time Slots (GTS) Fields
+     * @returns the Guaranteed Time Slots (GTS) Fields
      */
     GtsFields GetGtsFields();
 
@@ -968,7 +968,7 @@
      * Constructs Pending Address Fields from the local information,
      * the Pending Address Fields are part of the beacon frame.
      *
-     * \returns the Pending Address Fields
+     * @returns the Pending Address Fields
      */
     PendingAddrFields GetPendingAddrFields();
 
@@ -985,7 +985,7 @@
      * The data should represent:
      * packet, number of retries, total number of csma backoffs
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>, uint8_t, uint8_t> m_sentPktTrace;
 
@@ -993,7 +993,7 @@
      * The trace source fired when packets come into the "top" of the device
      * at the L3/L2 transition, when being queued for transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxEnqueueTrace;
 
@@ -1001,7 +1001,7 @@
      * The trace source fired when packets are dequeued from the
      * L3/l2 transmission queue.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxDequeueTrace;
 
@@ -1009,7 +1009,7 @@
      * The trace source fired when packets come into the "top" of the device
      * at the L3/L2 transition, when being queued for indirect transmission
      * (pending transaction list).
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macIndTxEnqueueTrace;
 
@@ -1017,14 +1017,14 @@
      * The trace source fired when packets are dequeued from the
      * L3/l2 indirect transmission queue (Pending transaction list).
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macIndTxDequeueTrace;
 
     /**
      * The trace source fired when packets are being sent down to L1.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxTrace;
 
@@ -1033,7 +1033,7 @@
      * an acknowledgment was received, if requested, or the packet was
      * successfully sent by L1, if no ACK was requested.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxOkTrace;
 
@@ -1041,7 +1041,7 @@
      * The trace source fired when packets are dropped due to missing ACKs or
      * because of transmission failures in L1.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxDropTrace;
 
@@ -1049,7 +1049,7 @@
      * The trace source fired when packets are dropped due to indirect Tx queue
      * overflows or expiration.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macIndTxDropTrace;
 
@@ -1058,7 +1058,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macPromiscRxTrace;
 
@@ -1067,7 +1067,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a non-promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macRxTrace;
 
@@ -1076,7 +1076,7 @@
      * but dropped before being forwarded up to higher layers (at the L2/L3
      * transition).
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macRxDropTrace;
 
@@ -1096,7 +1096,7 @@
      * this would correspond to the point at which the packet is dispatched to
      * packet sniffers in netif_receive_skb.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_snifferTrace;
 
@@ -1116,7 +1116,7 @@
      * this would correspond to the point at which the packet is dispatched to
      * packet sniffers in netif_receive_skb.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_promiscSnifferTrace;
 
@@ -1124,7 +1124,7 @@
      * A trace source that fires when the MAC changes states.
      * Parameters are the old mac state and the new mac state.
      *
-     * \deprecated This TracedCallback is deprecated and will be
+     * @deprecated This TracedCallback is deprecated and will be
      * removed in a future release,  Instead, use the \c MacStateValue
      * TracedValue.
      */
@@ -1262,6 +1262,14 @@
     uint8_t m_lastRxFrameLqi;
 
     /**
+     * This flag informs the MAC that an association response command was received
+     * before the acknowledgment (ACK) for the data request command that
+     * should precede it. This situation typically occurs due to network saturation.
+     */
+
+    bool m_ignoreDataCmdAck;
+
+    /**
      * Scheduler event for the ACK timeout of the currently transmitted data
      * packet.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lr-wpan/model/lr-wpan-mac-header.cc ns-3.44/src/lr-wpan/model/lr-wpan-mac-header.cc
--- ns-3.43/src/lr-wpan/model/lr-wpan-mac-header.cc	2024-10-09 16:41:09.900656000 -0700
+++ ns-3.44/src/lr-wpan/model/lr-wpan-mac-header.cc	2025-03-09 16:55:49.419371100 -0700
@@ -7,7 +7,7 @@
  */
 #include "lr-wpan-mac-header.h"
 
-#include <ns3/address-utils.h>
+#include "ns3/address-utils.h"
 
 namespace ns3
 {
